%define name	hdf5
%define major	0
%define libname libhdf5_%{major}
%define version 1.4.2p1
%define fversion 1.4.2-patch1
%define release 1mdk

Summary:	HDF5 library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable (see included COPYING)
Group:		System/Libraries
Source0:	ftp://hdf.ncsa.uiuc.edu/HDF5/hdf5/%{name}-%{fversion}.tar.bz2
Patch0:		hdf5-1.4.2-cflags.patch.bz2
URL:		http://hdf.ncsa.uiuc.edu/HDF5/
BuildRequires:	openssl-devel zlib-devel libjpeg-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
HDF5 is a library and file format for storing scientific data. It was
designed to address some of the limitations of the HDF 4.x library and to
address current and anticipated requirements of modern systems and
applications. HDF5 includes the following improvements.

   - A new file format designed to address some of the deficiencies of
     HDF4.x, particularly the need to store larger files and more
     objects per file.
   - A simpler, more comprehensive data model that includes only two
     basic structures: a multidimensional array of record structures,
     and a grouping structure.
   - A simpler, better-engineered library and API, with improved
     support for parallel i/o, threads, and other requirements imposed
     by modern systems and applications.


%package -n %{libname}
Summary:	HDF5 development libraries
Group:		System/Libraries
%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with hdf5 libraries.

%package -n %{libname}-devel
Summary:	Static libraries and header files for hdf5 development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
%description -n %{libname}-devel
This package provides static libraries and header files needed
for develop applications requiring the "hdf5" library.

%prep
%setup -n %{name}-%{fversion}
%patch0 -p1 -b .cflags

%build
OPT_FLAGS="$RPM_OPT_FLAGS"

# (gb) 1.4.2-2mdk: "2.96" still deficient wrt. C++ exception handling on ia32
%ifarch %ix86
OPT_FLAGS=`echo "$OPT_FLAGS -fno-omit-frame-pointer" | sed -e "s/-fomit-frame-pointer//g"`
%endif

# (gb) 1.4.2-2mdk: constants merging causes troubles with long doubles on ia64
%ifarch ia64
OPT_FLAGS="$OPT_FLAGS -fno-merge-constants"
%endif

CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS"
%configure \
	--enable-cxx \
	--enable-hdf5v1_2 \
	--enable-stream-vfd \
	--with-hdf4=/usr/include \
	--disable-rpath

%make srcdir=/

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING MANIFEST README RELEASE doc/html
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Tue Nov 27 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2p1-1mdk
- updated to release 1.4.2-patch1.

* Thu Aug 30 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2-2mdk
- Clean spec file
- Patch0: give precedence to C[XX]FLAGS set in the spec file
- Avoid -fomit-frame-pointer on ia32
- Disable constants merging (add -fno-merge-constants to C[XX]FLAGS)
  since it causes troubles with long doubles on ia64. Surprising, eh ?

* Tue Aug 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-1mdk
- update to release 1.4.2.

* Wed Jul 25 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-2mdk
- added a lib Requires in main package.

* Wed Jul 25 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-1mdk
- initial release for version hdf5.
